<?php
/** 
 * @package     VikAppointments
 * @subpackage  core
 * @author      E4J s.r.l.
 * @copyright   Copyright (C) 2021 E4J s.r.l. All Rights Reserved.
 * @license     http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @link        https://vikwp.com
 */

// No direct access
defined('ABSPATH') or die('No script kiddies please!');

VAPLoader::import('libraries.customfields.loader');

/**
 * Null pointer pattern to always return an empty list of custom fields.
 *
 * @since 1.7.7
 */
final class VAPCustomFieldsEmptyLoader extends VAPCustomFieldsLoader
{
	/**
	 * @inheritDoc
	 */
	public function fetch()
	{
		// reset instance to support new queries
		$this->reset();

		return [];
	}
}
